﻿using DocuSignAPI.APIService;

namespace EnvelopeCreatorProject.Models.Recipients
{
    internal class CertifiedDeliveries : RecipientType
    {
        internal CertifiedDeliveries(int totalCount) : base(totalCount) { }

        protected override void AddData(Recipient objRecipient)
        {
            _recipients.AppendLine("\"email\":\"" + objRecipient.Email + "\",");
            _recipients.AppendLine("\"name\":\"" + objRecipient.UserName + "\",");
            AddRecipientCommonInfo(objRecipient);
        }

        internal override string GetRecipientsData()
        {
            return "\"certifiedDeliveries\":[" + base.GetRecipientsData() + "]";
        }
    }
}
